Package com.sap.ai.sdk.grounding.model

# Enum Class DocumentMetadata.MatchModeEnum

java.lang.Object
java.lang.Enum<DocumentMetadata.MatchModeEnum>
com.sap.ai.sdk.grounding.model.DocumentMetadata.MatchModeEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<DocumentMetadata.MatchModeEnum>`, `Constable`

Enclosing class:
  `DocumentMetadata`

public static enum DocumentMetadata.MatchModeEnum extends Enum<DocumentMetadata.MatchModeEnum>
Match mode for the metadata key (ANY or ALL).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  The ALL option of this DocumentMetadata
  `ANY`
  The ANY option of this DocumentMetadata
  `UNKNOWN_DEFAULT_OPEN_API`
  The UNKNOWN_DEFAULT_OPEN_API option of this DocumentMetadata

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DocumentMetadata.MatchModeEnum`
  `fromValue(String value)`
  Get the enum value from a String value
  `String`
  `getValue()`
  Get the value of the enum
  `String`
  `toString()`
  Get the String value of the enum value.
  `static DocumentMetadata.MatchModeEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DocumentMetadata.MatchModeEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ANY

    public static final DocumentMetadata.MatchModeEnum ANY
    The ANY option of this DocumentMetadata

  - ### ALL

    public static final DocumentMetadata.MatchModeEnum ALL
    The ALL option of this DocumentMetadata

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final DocumentMetadata.MatchModeEnum UNKNOWN_DEFAULT_OPEN_API
    The UNKNOWN_DEFAULT_OPEN_API option of this DocumentMetadata

- ## Method Details

  - ### values

    public static DocumentMetadata.MatchModeEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DocumentMetadata.MatchModeEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    @Nonnull public String getValue()
    Get the value of the enum
    Returns:
      The enum value

  - ### toString

    @Nonnull public String toString()
    Get the String value of the enum value.
    Overrides:
      `toString` in class `Enum<DocumentMetadata.MatchModeEnum>`
    Returns:
      The enum value as String

  - ### fromValue

    @Nullable public static DocumentMetadata.MatchModeEnum fromValue(@Nonnull String value)
    Get the enum value from a String value
    Parameters:
      `value` - The String value
    Returns:
      The enum value of type DocumentMetadata